#define	perl_vendorlib /usr/lib/perl5/vendor_perl/5.8.7

Summary: Tools to setup a cluster server and client
Name: clusterscripts
Version: 3.5
Release: %mkrel 28
#Source0: #{name}-#{version}.tar.bz2
Source0: %{name}-devel.tar.bz2
Patch1:  prepare_diskless_image.patch
Patch2:  clusterscripts-lsb.patch
License: 	GPLv2
Group: 		System/Cluster
Prefix: 	%{_prefix}
URL:		http://www.mandriva.com
BuildArch:	noarch

%global __requires_exclude %{?__requires_exclude}|^perl\\(pbs_cluster\\)

%description
Multiple scripts to setup cluster server or client nodes.


%package        client
Summary:	Script to setup and retrieve information for client node
Group:		System/Cluster
Conflicts:	clusterautosetup-server
Requires:	bind-utils
Requires:	ypbind
Requires:	autofs
Requires:	wget
Requires:	openssh-clients
Requires:	openssh-server
Requires:	tftp
Requires:	nfs-utils
Requires:	rsh-server
Requires:	ntp
Requires:	ka-deploy-source-node
Requires:	usbutils
Requires:	urpmi-parallel-ka-run
Requires:	bc
Requires:	dhcpcd
Requires:	smartmontools
Requires:	ganglia-core
Requires:	taktuk
Requires:	clusterscripts-common

%description client
Scripts to retrieve information and setup cluster client node from 
a cluster server.

%package common
Summary:        Common clusterscripts
Group:		System/Cluster

%description common
common libs

%package server-conf
Summary:        clusterscript configuration file
Group:          System/Cluster
Conflicts:      clusterautosetup-client
Requires:       clusterscripts-common

%description server-conf
The configuration file of clusterscripts

%package server 
Summary:        Script to setup a server node
Group:		System/Cluster
Conflicts:	clusterautosetup-client
Requires:	bind
Requires:	bind-utils
Requires:	nfs-utils
Requires:	ypserv
Requires:	yp-tools
Requires:	ypbind
Requires:	make
Requires:	openssh-server
Requires:	openssh-clients
Requires:	ntp
Requires:	ganglia-gmetad
Requires:	urpmi-parallel-ka-run
Requires:	apache
Requires:	postfix
Requires:	iptables
Requires:	ganglia-core
Requires:	rpm-helper
%ifarch %{ix86} x86_64
Requires:	syslinux
%endif
Requires:	usbutils
Requires:	bc
Requires:	php-cli
Requires:	php-webinterface
Requires:	smartmontools
#(eatdirt) no longer there
#Requires:	tentakel
Requires:	ganglia-webfrontend
Requires:	taktuk
Requires:	fping
Requires:	openldap-servers
Requires:	openldap-clients
Requires:	clusterscripts-common
Requires:	clusterscripts-server-pxe
Requires:	clusterscripts-server-conf
Recommends:	phpldapadmin
#gnbd, gnbd-kernel-BOOT, 
#maui

%description server
Scripts to automatically setup some services
NIS, DNS, NFS, PXE, DHCP, NAMED, LDAP, authd and ssh Keys,
tftp server, ganglia server, OAR, SSH.

%package server-pxe
Summary:        Script to setup a PXE server, dhcpd tftp and optiannly a DNS server
Group:          System/Cluster
Conflicts:      clusterautosetup-client
Requires:       pxe
Requires:	tftp-server
Requires:	xinetd
Requires:	dhcp-server
%ifarch %{ix86} x86_64
Requires:	syslinux
%endif
Requires:	clusterscripts-server-conf
Recommends:	ka-deploy-source-node
Recommends:	bind
Recommends:	bind-utils

%description server-pxe
Scripts to automatically setup a PXE server with DHCP server.
A DNS server is also optionnal

%prep
%setup -q -n %{name}-devel
%patch1 -p0
%patch2 -p1


%build
#make build

%install
mkdir -p %{buildroot}/%{_docdir}/%{name}-%{version}
make install DESTDIR=%{buildroot} SHAREDOC=%{_docdir}/%{name}-%{version}


%post server-conf
TESTDHETH=`grep ETHDHCP_CLIENT /etc/clusterserver.conf`
if [ -z "$TESTDHETH" ];	then
	echo " old version of clusterscript, updating"
	echo "ETHDHCP_CLIENT=eth0" >> /etc/clusterserver.conf
fi	
# create a file, to check if it is the first time i launch setup_auto_cluster
touch /tmp/first_setup
	
#perl -Mcluster_xconfig -e 'set_xconfig()'

%post client
%_post_service clusterautosetup-client
# horrible hack to avoid dhclient.....
#perl -pi -e "s/\-x\s\/sbin\/dhclient/-x \/sbin\/dhclientsux/" /sbin/ifup

%preun client
%_preun_service clusterautosetup-client

%preun server
#%%_preun_service rapidnat

%files client
%attr(755,root,root) %{_bindir}/setup_client_cluster.pl
%attr(755,root,root) %{_bindir}/setup_ka_deploy.pl
%attr(755,root,root) %{_initrddir}/clusterautosetup-client
%{perl_vendorlib}/ka_deploy_cluster.pm
%{perl_vendorlib}/client_cluster.pm
%{perl_vendorlib}/fs_client.pm
%{perl_vendorlib}/cluster_clientconf.pm

%files common
#%%attr(755,root,root) %%{_bindir}/fdisk_to_desc
%{_bindir}/ib-burn-firmware.pl
%{perl_vendorlib}/cluster_commonconf.pm
%{perl_vendorlib}/cluster_fonction_common.pm

%files server-conf
%attr(755,root,root) %{_sysconfdir}/muttrc
%attr(755,root,root) %{_sysconfdir}/rc.sysinit_diskless
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/clusterserver.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/clusternode.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/dhcpd.conf.pxe.single
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/dhcpd.conf.cluster
%{perl_vendorlib}/cluster_serverconf.pm

%files server-pxe
%attr(755,root,root) %{_bindir}/dhcpnode
%{perl_vendorlib}/add_nodes_to_dhcp_cluster.pm
%{perl_vendorlib}/pxe_server_cluster.pm
%{perl_vendorlib}/dhcpnode_cluster.pm
%{perl_vendorlib}/dhcpdconf_server_cluster.pm
%{perl_vendorlib}/wakeup_node_cluster.pm
%{perl_vendorlib}/dns_cluster.pm
%attr(755,root,root) %{_bindir}/setup_add_nodes_to_dhcp.pl
%attr(755,root,root) %{_bindir}/setup_pxe_server.pl
%attr(755,root,root) %{_bindir}/setup_dhcpdconf_server.pl
%attr(755,root,root) %{_bindir}/setup_dns.pl
%attr(755,root,root) %{_bindir}/prepare_diskless_image


%files server
%doc ldap_base.ldif sldap_cluster.conf
%attr(755,root,root) %{_bindir}/ib-cluster-configurator.pl
%attr(755,root,root) %{_bindir}/rapidnat
%attr(755,root,root) %{_bindir}/sauvegarde
%attr(755,root,root) %{_bindir}/setup_xconfig.pl
#%%{_initrddir}/rapidnat
%attr(755,root,root) %{_bindir}/setup_test_user
%attr(644,root,root) /var/spool/pbs/pbs_config.sample
%{perl_vendorlib}/cluster_xconfig.pm
%{perl_vendorlib}/fs_server.pm
%{perl_vendorlib}/nis_cluster.pm
%{perl_vendorlib}/ldap_cluster.pm
%{perl_vendorlib}/install_cluster.pm
%{perl_vendorlib}/auto_add_nodes_cluster.pm
%{perl_vendorlib}/maui_cluster.pm
%{perl_vendorlib}/auto_remove_nodes_cluster.pm
%{perl_vendorlib}/cluster_set_admin.pm
%{perl_vendorlib}/cluster_set_compute.pm
%{perl_vendorlib}/user_common_cluster.pm
%{perl_vendorlib}/postfix_cluster.pm
%{perl_vendorlib}/pbs_cluster.pm
%{perl_vendorlib}/server_cluster.pm
%attr(755,root,root) %{_bindir}/setup_pbs.pl
%attr(755,root,root) %{_sbindir}/setup_auto_cluster
%attr(755,root,root) %{_bindir}/setup_add_node.pl
%attr(755,root,root) %{_bindir}/setup_install_cluster.pl
%attr(755,root,root) %{_bindir}/setup_server_cluster.pl
%attr(755,root,root) %{_bindir}/setup_recup_cpus.pl
%attr(755,root,root) %{_bindir}/setup_nis.pl
%attr(755,root,root) %{_bindir}/setup_ldap.pl
%attr(755,root,root) %{_bindir}/setup_auto_remove_nodes.pl
%attr(755,root,root) %{_sbindir}/deluserNis.pl
%attr(755,root,root) %{_bindir}/wakeup_node.pl
%attr(755,root,root) %{_bindir}/setup_maui.pl
%attr(755,root,root) %{_bindir}/setup_auto_add_nodes.pl
%attr(755,root,root) %{_sbindir}/adduserNis.pl
%attr(755,root,root) %{_bindir}/setup_postfix.pl
%attr(755,root,root) %{_bindir}/setup_admin.pl
%attr(755,root,root) %{_bindir}/setup_compute.pl
%attr(755,root,root) %{_bindir}/update_cfg_after_ar_node.pl





%changelog
* Tue Oct 20 2020 eatdirt <eatdirt> 3.5-28.mga8
+ Revision: 1637357
- Remove dep to tentakle

* Wed Sep 09 2020 mokraemer <mokraemer> 3.5-27.mga8
+ Revision: 1623859
- fix requirement of apache_mod-php to php-webinterface

* Fri Feb 14 2020 umeabot <umeabot> 3.5-26.mga8
+ Revision: 1522645
- Mageia 8 Mass Rebuild

* Wed Feb 06 2019 daviddavid <daviddavid> 3.5-25.mga7
+ Revision: 1363574
- fix deps: we don't have syslinux on aarch64

* Tue Sep 18 2018 umeabot <umeabot> 3.5-24.mga7
+ Revision: 1261978
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 3.5-23.mga6
+ Revision: 1022105
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 3.5-22.mga6
+ Revision: 931119
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.5-21.mga5
+ Revision: 742605
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 3.5-20.mga5
+ Revision: 733692
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 3.5-9.mga5
+ Revision: 678440
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 3.5-8.mga4
+ Revision: 523264
- Mageia 4 Mass Rebuild

* Mon Apr 01 2013 solbu <solbu> 3.5-7.mga3
+ Revision: 406974
- Fix Requires (oar was removed)
- Spec cleanup

* Fri Jan 11 2013 umeabot <umeabot> 3.5-6.mga3
+ Revision: 347922
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 21 2012 colin <colin> 3.5-5.mga2
+ Revision: 232413
- Add LSB headers

* Tue Feb 08 2011 ennael <ennael> 3.5-4.mga1
+ Revision: 48994
- add patch for packages names
- imported package clusterscripts

